#include "fits.h"

#include <string>

using namespace std;

namespace FITS = SAOTrace::IO::FITS ;

FITS::Exception::Exception ( const char* msg, const string& file, int status  ) {

    char message[81];

    if ( status ) {

	fits_get_errstatus( status, message );
	set_message( message );

	while ( fits_read_errmsg( message ) )
	    set_message( message );
    }

    set_message( string(msg) + " in file '" + file  + "'\n" );


}

