#include <stdlib.h>
#include <string>
#include <vector>

#include <tclap/CmdLine.h>

class TestArgsBase {

public :

    void
    parse ( int* argc, char **argv ) {

	TCLAP::UnlabeledMultiArg<std::string> multi("args", "remaining args passed to gtest", false, "string", cmd );

	cmd.parse( *argc, argv );

	vector<string> rest = multi.getValue();

	*argc = 1;

	for( vector<string>::iterator arg = rest.begin() ; arg != rest.end() ; ++arg ) {
	    char *str = new char[arg->length() + 1];
	    strcpy( str, arg->c_str() );
	    argv[ (*argc)++ ] = str;
	}
    }

    TestArgsBase( std::string cmd ) : cmd( cmd ) { };

protected:

    TCLAP::CmdLine cmd;


};

